Summary: 	C++ wrappers for libglade, for use with gtkmm.
Name: 		libglademm2
Version: 	2.0.1
Release: 	0.fdr.6.rh90
Epoch:		0
License: 	LGPL
Group: 		System Environment/Libraries
URL: 		http://www.gtkmm.org/
Source0: 	http://dl.sourceforge.net/gtkmm/libglademm-2.0.1.tar.gz
Patch0:		remove-gnomemm-include.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: 	libglade2-devel >= 0:2.0.0
BuildRequires:	gtkmm2-devel >= 0:2.0.0

%description
libglademm provides C++ wrappers for libglade, for use with gtkmm.  

%package devel
Summary: 	Headers for developing programs that will use libglademm
Group: 		Development/Libraries
Requires:       %{name} = %{epoch}:%{version}-%{release}
Requires:	libglade2-devel >= 0:2.0.0
Requires:	gtkmm2-devel 

%description devel
This package contains the static libraries and header files needed for
developing applications using libglademm.

%prep
%setup -n libglademm-%{version}
%patch0


%build
%configure --enable-static --enable-shared 
make %{?_smp_mflags}



%install
rm -rf ${RPM_BUILD_ROOT}
make DESTDIR=${RPM_BUILD_ROOT} install
find $RPM_BUILD_ROOT -type f -name "*.la" -exec rm -f {} ';'


%clean
rm -rf ${RPM_BUILD_ROOT}



%post -p /sbin/ldconfig



%postun -p /sbin/ldconfig


%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root, 0755)
%{_includedir}/libglademm-2.0/
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/libglademm-2.0/
%{_libdir}/pkgconfig/*.pc


%changelog 
* Thu Oct 31 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.6
- Add gtkmm-devel to buildrequires.
- Added back NEWS

* Thu Oct 31 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.5
- Add patch to remove incorrect gnomemm include.
- Leave out the ChangeLog etc.

* Thu Oct 30 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.4
- Remove libgnomemm2 from the requirements 

* Wed Oct 22 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.3
- Add Epochs to the requirements

* Wed Oct 22 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.2
- Fix -devel Requires
- Fix -devel Description 
- Remove empty DOC files
- Fixed package description

* Sat Oct 18 2003 Michael Koziarski <michael@koziarski.org> - 2.0.1-0.fdr.1
- Import Dag's RPM to fedora

* Sat Mar 29 2003 Dag Wieers <dag@wieers.com> - 2.0.1-0
- Initial package. (using dar)
